Skip to main content
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
artifact-imports
/
{capture_id}
/
complete
Complete Clarity Artifact Import
curl --request POST \
  --url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/artifact-imports/{capture_id}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_name": "<string>"
}
'
{
  "capture": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "processId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "videoUrl": "<string>",
    "videoTranscript": "<string>",
    "transcript": [
      {
        "message": "<string>",
        "timestamp": 123
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "userName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

process_id
string<uuid>
required

The clarity process id

capture_id
string<uuid>
required

The pending capture id returned by the upload-url endpoint

Body

application/json
file_name
string
required

Name of the Miro export file. Supported extensions: .svg, .xml, .png, .jpg, .jpeg

Minimum string length: 1
Pattern: ^.*\.(?:[sS][vV][gG]|[xX][mM][lL]|[pP][nN][gG]|[jJ][pP][eE]?[gG])$
content_type
enum<string>
required

MIME type of the uploaded Miro export file

Available options:
image/svg+xml,
application/xml,
text/xml,
image/png,
image/jpeg

Response

Default Response

capture
object
required